>From 71e929cb4de63f060464feb9d73cad1161807253 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Fri, 15 Nov 2013 16:52:02 +0100
Subject: [PATCH 1/4] Try to make HP-UX's ac++ not cause warnings about unused
 static inlines.

---
 src/template/hpux | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/template/hpux b/src/template/hpux
index ce4d93c..6349ae5 100644
--- a/src/template/hpux
+++ b/src/template/hpux
@@ -3,7 +3,9 @@
 CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
 
 if test "$GCC" != yes ; then
-  CC="$CC -Ae"
+  # -Ae enables C89/C99
+  # +W2177 should disable warnings about unused static inlines
+  CC="$CC -Ae +W2177"
   CFLAGS="+O2"
 fi
 
-- 
1.8.5.rc1.dirty

